Skip to content

Create a child tenant

Request

Creates a child tenant for the calling partner tenant.

Security
oauth2_client_credentials or oauth2_authorization_code
Query
tenantIdstring, (uuid)(tenant_id)

The UUID to use as the final component of the tenant resource name. Generated by the service when omitted.

validateOnlyboolean(validate_only)

Validate the request without creating the tenant.

Bodyapplication/json

The tenant to create.

namestring(name)

(IDENTIFIER) The resource name of the tenant. Format: tenants/{tenant} string.resource_name = ["tenants/*"] // value must be a valid resource name

displayNamestring, non-empty(display_name)required

Required. A mutable, user-settable field for providing a human-readable name for the tenant, to be used in user interfaces. Must be <= 63 characters. string.display_name = true // value must be at most 63 characters

annotationsobject(annotations)

(OPTIONAL) Optional. Client-managed key-value metadata.

etagstring(etag)

The checksum computed by the server from the resource fields. string.etag = true // etag must be at most 256 characters

curl -i -X POST \
  'https://docs.bndry.net/_mock/apis/openapi/v1alpha/tenants?tenantId=497f6eca-6276-4993-bfeb-53cbbbba6f08&validateOnly=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "displayName": "string",
    "createTime": "2023-01-15T01:30:15.01Z",
    "updateTime": "2023-01-15T01:30:15.01Z",
    "deleteTime": "2023-01-15T01:30:15.01Z",
    "annotations": {
      "property1": "string",
      "property2": "string"
    },
    "etag": "string"
  }'

Responses

Success

Bodyapplication/json
One of:

This resource represents a long-running operation that is the result of a network API call.

namestring(name)

The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}.

metadataobject(metadata)

Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.

doneboolean(done)

If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.

errorobject(error)required

The error result of the operation in case of failure or cancellation.

Response
{ "name": "string", "metadata": { "type": "string", "value": "string" }, "done": true, "error": { "code": 0, "message": "string", "details": [] } }